=== modified file 'Makefile.am'
--- Makefile.am	2011-03-22 18:39:54 +0000
+++ Makefile.am	2011-06-02 13:37:57 +0000
@@ -17,7 +17,7 @@
 
 # includes append to these:
 SUFFIXES =
-TESTS = 
+TESTS =
 check_PROGRAMS =
 noinst_HEADERS =
 nobase_nodist_include_HEADERS =
@@ -27,7 +27,7 @@
 nobase_dist_pkginclude_HEADERS =
 dist_pkginclude_HEADERS =
 sbin_PROGRAMS =
-lib_LTLIBRARIES = 
+lib_LTLIBRARIES =
 noinst_LTLIBRARIES =
 extradir=${libdir}
 extra_LTLIBRARIES =
@@ -137,12 +137,11 @@
 	fi
 
 clean-local:
-	find . -name '*.gcno' | xargs rm -f 
+	find . -name '*.gcno' | xargs rm -f
 	-rm -rf docs/api docs/dev docs/_build docs/doctrees
 
 include config/lcov.am
 
-include docs/include.am
 include drizzled/message/include.am
 include drizzled/include.am
 include drizzled/internal/include.am
@@ -155,6 +154,7 @@
 include libdrizzle-1.0/libdrizzle/include.am
 include libdrizzle-2.0/libdrizzle/include.am
 include win32/include.am
+include docs/include.am
 
 TESTS += ${check_PROGRAMS}
 

=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2011-06-02 13:27:22 +0000
+++ drizzled/drizzled.cc	2011-06-02 13:37:57 +0000
@@ -160,8 +160,7 @@
 
 bool opt_daemon= false;
 
-namespace drizzled
-{
+namespace drizzled {
 
 inline void setup_fpu()
 {
@@ -201,12 +200,9 @@
 
 #define GET_HA_ROWS GET_ULL
 
-const char *tx_isolation_names[] =
-{ "READ-UNCOMMITTED", "READ-COMMITTED", "REPEATABLE-READ", "SERIALIZABLE",
-  NULL};
+const char *tx_isolation_names[] = {"READ-UNCOMMITTED", "READ-COMMITTED", "REPEATABLE-READ", "SERIALIZABLE", NULL};
 
-TYPELIB tx_isolation_typelib= {array_elements(tx_isolation_names)-1,"",
-                               tx_isolation_names, NULL};
+TYPELIB tx_isolation_typelib= {array_elements(tx_isolation_names) - 1, "", tx_isolation_names, NULL};
 
 /*
   Used with --help for detailed option
@@ -588,7 +584,7 @@
 void set_user(const char *user, passwd *user_info_arg)
 {
   assert(user_info_arg != 0);
-  initgroups((char*) user, user_info_arg->pw_gid);
+  initgroups(user, user_info_arg->pw_gid);
   if (setgid(user_info_arg->pw_gid) == -1)
   {
     sql_perror(_("Set process group ID failed"));
@@ -2211,7 +2207,7 @@
   /* @TODO Make this all strings */
   if (vm.count("default-storage-engine"))
   {
-    default_storage_engine_str= (char *)vm["default-storage-engine"].as<string>().c_str();
+    default_storage_engine_str= vm["default-storage-engine"].as<string>().c_str();
   }
 
   /* Skip unknown options so that they may be processed later by plugins */

=== modified file 'drizzled/sys_var.cc'
--- drizzled/sys_var.cc	2011-05-05 08:41:33 +0000
+++ drizzled/sys_var.cc	2011-06-02 13:37:57 +0000
@@ -1387,22 +1387,21 @@
     ptr		pointer to option structure
 */
 
-static struct option *find_option(struct option *opt, const char *name)
+static option* find_option(struct option *opt, const char *name)
 {
-  uint32_t length=strlen(name);
+  uint32_t length= strlen(name);
   for (; opt->name; opt++)
   {
-    if (!getopt_compare_strings(opt->name, name, length) &&
-	!opt->name[length])
+    if (!getopt_compare_strings(opt->name, name, length) && !opt->name[length])
     {
       /*
-	Only accept the option if one can set values through it.
-	If not, there is no default value or limits in the option.
+      Only accept the option if one can set values through it.
+      If not, there is no default value or limits in the option.
       */
-      return (opt->value) ? opt : 0;
+      return opt->value ? opt : NULL;
     }
   }
-  return 0;
+  return NULL;
 }
 
 

